%define upstream_name    Package-Variant
%define upstream_version 1.001004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parameterizable packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.550_100
BuildRequires: perl(Import::Into) >= 1.0.0
BuildRequires: perl(Module::Runtime) >= 0.13.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(strictures) >= 1.0.0
BuildArch:  noarch

%description
This module allows you to build packages that return different variations
depending on what parameters are given.

Users of your package will receive a subroutine able to take parameters and
return the name of a suitable variant package. The implmenetation does not
care about what kind of package it builds.

Declaring a variable package
    There are two important parts to creating a variable package. You first
    have to give 'Package::Variant' some basic information about what kind
    of package you want to provide, and how. The second part is
    implementing a method receiving the user's arguments and generating
    your variants.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-2.mga4
+ Revision: 527193
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.1.4-1.mga4
+ Revision: 439719
- update to 1.001004

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 371373
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.1.2-1.mga3
+ Revision: 306353
- imported package perl-Package-Variant


* Mon Oct 15 2012 cpan2dist 1.001002-1mga
- initial mageia release, generated with cpan2dist
